/////////////////////////////////////////////////////////////////////////
////                         EX_EXPIO.C                               ////
////                                                                  ////
////     This program shows how to use the 74165.C and 74595.C        ////
////  libraries for extended input and output.                        ////
////                                                                  ////
////     When button S1 is pushed, LED 1 will toggle green.  Button   ////
////  S2 will toggle LED 2.  However, when both buttons are pushed,   ////
////  LED 3 will toggle green.                                        ////
////                                                                  ////
////        (C) Copyright 1996,1997 Custom Computer Services          ////
////                                                                  ////
//////////////////////////////////////////////////////////////////////////

#include "16F877.h"
#fuses HS,NOWDT,NOPROTECT,NOLVP
#use delay(clock=20000000)
#use rs232(baud=9600,xmit=pin_c6,rcv=pin_c7,parity=N,stop=1)

#include <C:\Users\BASGAN\Desktop\Embedded Control Final\Soru_2\kod\74595.c>
#include <C:\Users\BASGAN\Desktop\Embedded Control Final\Soru_2\kod\74165.c>
#include <math.h>

int adana;
main() {
   byte data;

   do {
   adana++;
 
   if (adana%2==0)
      {   
            read_expanded_inputs (&data);
      }
      else
      {
            output_low(PIN_B3);
            write_expanded_outputs (&data);
      }
   } while (TRUE);
}

